Skip Headers

# Parameters

Previous

Next

mappings.export Task Parameters

Attribute | Description | Required
--- | --- | ---
projectfile | Fully qualified TopLink Workbench projects file name (`.mwp`). | Yes
deploymentfile | Fully qualified TopLink project deployment file name (`.xml`). | No–default to the name specified in the TopLink Workbench project (`.mwp`).
ejbjarxmldir | The directory that contains the `ejb-jar.xml` file (only applicable to J2EE project). | No–default to the directory specified in the TopLink Workbench project (`.mwp`).
classpath | Project classpath. | No
classpathref | Reference to a path defined elsewhere. | No
failonerror | Indicates whether the build will continue even if there are export errors; defaults to `true`. | No
property | The name of the property to set (`true` if export completed successfully). | No